Bug 891666

Summary: CVE-2012-6089 CVE-2012-6090 pl: (Stack-based) Buffer overflows in path canonisation code and when expanding file-names with long paths [fedora-all]
Product: [Fedora] Fedora Reporter: Jan Lieskovsky <jlieskov>
Component: plAssignee: Petr Pisar <ppisar>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 17CC: bagnara, mefoster, ppisar
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-14 21:23:42 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 891577    

Description Jan Lieskovsky 2013-01-03 10:20:46 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2013-01-03 10:20:55 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=891577,891666
Comment 2 Fedora Update System 2013-01-04 07:20:08 EST
pl-6.0.2-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pl-6.0.2-5.fc18
Comment 3 Fedora Update System 2013-01-04 07:29:05 EST
pl-6.0.2-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pl-6.0.2-4.fc17
Comment 4 Fedora Update System 2013-01-04 08:15:51 EST
pl-5.10.2-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pl-5.10.2-9.fc16
Comment 5 Fedora Update System 2013-01-04 15:26:06 EST
Package pl-6.0.2-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pl-6.0.2-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0178/pl-6.0.2-5.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-01-14 21:23:45 EST
pl-5.10.2-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-01-14 21:35:27 EST
pl-6.0.2-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-01-14 21:37:27 EST
pl-6.0.2-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.